<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| ApChat 1.0 Infusion for PHP-Fusion 7.00 CMS
+--------------------------------------------------------+
| Filename: ap_chat_admin.php
| Author: Konstantin Magomedov (Alipapa)  1997-2009
| Web: http://ap-fusion.ru
| E-Mail: admin@belsitemaker.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."ap_chat_panel/infusion_db.php";

if (!checkrights("APC") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (isset($_GET['ap_chat_id'])) {
	$ap_chat_id=$_GET['ap_chat_id'];
}
if (isset($_GET['action'])) {
	$action=$_GET['action'];
}

if (isset($ap_chat_id) && !isNum($ap_chat_id)) redirect("../../index.php");
if (!isset($action)) $action = "";

if ($action == "deleteentries") {
	$deletetime = time() - ($_POST['num_days'] * 86400);
	$result = dbquery("SELECT * FROM ".DB_AP_CHAT." WHERE ap_chat_datestamp < '$deletetime'");
	$numrows = dbrows($result);
	$result = dbquery("DELETE FROM ".DB_AP_CHAT." WHERE ap_chat_datestamp < '$deletetime'");
	opentable($locale['ap500']);
	echo "<center><br />
$numrows ".$locale['ap501']."<br /><br />
<a href='ap_chat_admin.php?aid=".iAUTH."'>".$locale['ap502']."</a><br /><br />
<a href='".ADMIN."index.php?aid=".iAUTH."'>".$locale['ap503']."</a><br /><br />
</center>\n";
	closetable();
} else if ($action == "delete") {
	opentable($locale['ap504']);
	$result = dbquery("DELETE FROM ".DB_AP_CHAT." WHERE ap_chat_id='$ap_chat_id'");
	echo "<center><br />
".$locale['ap505']."<br /><br />
<a href='ap_chat_admin.php?aid=".iAUTH."'>".$locale['ap502']."</a><br /><br />
<a href='".ADMIN."index.php?aid=".iAUTH."'>".$locale['ap503']."</a><br /><br />
</center>\n";
	closetable();
} else {
	if (isset($_POST['saveentry'])) {
		if ($action == "edit") {
			$ap_chat_message = str_replace("\n", " ", $_POST['ap_chat_message']);
			$ap_chat_message = preg_replace("/^(.{255}).*$/", "$1", $ap_chat_message);
			$ap_chat_message = preg_replace("/([^\s]{25})/", "$1\n", $ap_chat_message);
			$ap_chat_message = stripinput($ap_chat_message);
			$ap_chat_message = str_replace("\n", "<br />", $ap_chat_message);
			$result = dbquery("UPDATE ".DB_AP_CHAT." SET ap_chat_message='$ap_chat_message' WHERE ap_chat_id='$ap_chat_id'");
			redirect("ap_chat_admin.php?aid=".iAUTH);
		}
	}
	if ($action == "edit") {
		$result = dbquery("SELECT * FROM ".DB_AP_CHAT." WHERE ap_chat_id='$ap_chat_id'");
		$data = dbarray($result);
		opentable($locale['ap520']);
		echo "<form name='editform' method='post' action='".FUSION_SELF."?action=edit&ap_chat_id=".$data['ap_chat_id']."&aid=".iAUTH."'>
<table align='center' cellspacing='0' cellpadding='0'>
<tr>
<td class='tbl'>".$locale['ap521']."</td>
</tr>
<tr>
<td class='tbl'><textarea name='ap_chat_message' rows='3' class='textbox' style='width:250px;'>".str_replace("<br />", "", $data['ap_chat_message'])."</textarea></td>
</tr>
<tr>
<td align='center' class='tbl'><input type='submit' name='saveentry' value='".$locale['ap522']."' class='button'></td>
</tr>
</form>
</table>\n";
		closetable();
	}
	opentable($locale['ap540']);
	$result = dbquery("SELECT * FROM ".DB_AP_CHAT);
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) {
		if ($rowstart == 0) {
	echo "<form name='deleteform' method='post' action='".FUSION_SELF."?action=deleteentries'>\n<div align='center'>\n";
			$opts = "<option value='90'>90</option>
<option value='60'>60</option>
<option value='30'>30</option>
<option value='20'>20</option>
<option value='10'>10</option>\n";
			echo $locale['ap530']." <select name='num_days' class='textbox' style='width:50px'>$opts</select>".$locale['ap531']."<br /><br />
<input type='submit' name='deleteentries' value='".$locale['ap532']."' class='button'><br /><hr>
</div>
</form>\n";
		}
		$i = 0;
		$result = dbquery(
			"SELECT * FROM ".DB_AP_CHAT." LEFT JOIN ".DB_PREFIX."users
			ON ".DB_AP_CHAT.".ap_chat_name=".DB_USERS.".user_id
			ORDER BY ap_chat_datestamp DESC LIMIT $rowstart,20"
		);
		echo "<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
		while ($data = dbarray($result)) {
			echo "<tr>\n<td class='".($i% 2==0?"tbl1":"tbl2")."'><span class='comment-name'>";
			if ($data['user_name']) {
				echo "<a href='".BASEDIR."profile.php?lookup=".$data['ap_chat_name']."' class='slink'>".$data['user_name']."</a>";
			} else {
				echo $data['ap_chat_name'];
			}
			echo "</span>
<span class='small'>".$locale['ap506'].showdate("longdate", $data['ap_chat_datestamp'])."</span><br />
".str_replace("<br />", "", parsesmileys($data['ap_chat_message']))."<br />
<span class='small'><a href='".FUSION_SELF."?action=edit&ap_chat_id=".$data['ap_chat_id']."&aid=".iAUTH."'>".$locale['ap541']."</a> -
<a href='".FUSION_SELF."?action=delete&ap_chat_id=".$data['ap_chat_id']."&aid=".iAUTH."'>".$locale['ap542']."</a> -
<b>".$locale['ap543'].$data['ap_chat_ip']."</b></span>
</td>\n</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<center><br />\n".$locale['ap544']."<br /><br />\n</center>\n";
	}
	closetable();
	echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,20,$rows,3)."\n</div>\n";
}
require_once THEMES."templates/footer.php";
?>