<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| ApChat 1.0 Infusion for PHP-Fusion 7.00 CMS
+--------------------------------------------------------+
| Filename: ap_chat_chat_frame.php
| Author: Konstantin Magomedov (Alipapa)  1997-2009
| Web: http://ap-fusion.ru
| E-Mail: admin@belsitemaker.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

include INFUSIONS."ap_chat_panel/infusion_db.php";

// Infusion general information
$inf_title = $locale['apctitle'];
$inf_description = $locale['apcdesc'];
$inf_version = "1.0";
$inf_developer = "Konstantin Magomedov (Alipapa)";
$inf_email = "admin@belsitemaker.com";
$inf_weburl = "http://ap-fusion.ru";

$inf_folder = "ap_chat_panel"; // The folder in which the infusion resides.

$inf_adminpanel[1] = array(
	"title" => $locale['apcadmin1'],
	"image" => "ap-fusion.gif",
	"panel" => "ap_chat_admin.php",
	"rights" => "APC"
);

$inf_sitelink[1] = array(
	"title" => $locale['apclink1'],
	"url" => "ap_chat.php",
	"visibility" => "0" // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.
);

$inf_newtable[1] = DB_AP_CHAT." (
  ap_chat_id smallint(5) unsigned NOT NULL auto_increment,
  ap_chat_name varchar(50) NOT NULL default '',
  ap_chat_message varchar(200) NOT NULL default '',
  ap_chat_datestamp int(10) unsigned NOT NULL default '0',
  ap_chat_ip varchar(20) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (ap_chat_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_AP_CHAT;

?>